Bug 335051 - [gcc visibility problem] ooimpress crashing with 2.3.0-6.2.fc7
[gcc visibility problem] ooimpress crashing with 2.3.0-6.2.fc7
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-16 14:46 EDT by Sammy
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-24 11:25:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sammy 2007-10-16 14:46:41 EDT
I downloaded the openoffice.org 2.3.0-6.2.fc7 from koji (x86_64) and
tried it out. This sounds like a deja vu but when I start ooimpress
and see the chooser (new file, existing file, etc) as soon as I click
on any option I get the segfault.

==============================================================================
---start copy and paste here---
(I)    x.org loaded video driver of...
(II) Loading /usr/lib64/xorg/modules/drivers//nvidia_drv.so
(III)  Desktop is: not GNOME
(IV)   libgcj version is: libgcj-4.1.2-27.fc7-i386 libgcj-4.1.2-27.fc7-x86_64
(V)    kernel is: Linux 2.6.22.10-92.fc7 #1 SMP Sun Oct 14 11:02:46 CDT 2007
x86_64 x86_64 x86_64
(VI)   OpenOffice.org core rpm version is: openoffice.org-core-2.3.0-6.2.fc7-x86_64
(VII)  depth of root window:    24 planes
(VIII) accessibility is: false
(VIV)  fedora release is: Fedora release 7 (Moonshine)
...start sestatus details ...
SELinux status:                 disabled
...end sestatus details ...
...start stackreport details ...
0x00002aaaae996b94: 0x00000000001eba88:
/usr/lib64/openoffice.org/program/libuno_sal.so.3 + 0x36b94
0x00002aaaae99778a: 0x00000000001eba88:
/usr/lib64/openoffice.org/program/libuno_sal.so.3 + 0x3778a
0x0000003dc8430630: 0x000000000014ab60: /lib64/libc.so.6 + 0x30630
0x00002aaaae4b70c2: 0x00000000000be5b8:
/usr/lib64/openoffice.org/program/libuno_cppuhelpergcc3.so.3 + 0x480c2
0x00002aaaae4b77b3: 0x00000000000be5b8:
/usr/lib64/openoffice.org/program/libuno_cppuhelpergcc3.so.3 + 0x487b3
(cppu::WeakImplHelper_query(com::sun::star::uno::Type const&, cppu::class_data*,
void*, cppu::OWeakObject*) + 0x63)
0x00002aaaabc1883b: 0x0000000000dd4bf0:
/usr/lib64/openoffice.org/program/libsvx680lx.so + 0x69783b
(cppu::WeakImplHelper6<com::sun::star::xml::sax::XExtendedDocumentHandler,
com::sun::star::lang::XServiceInfo, com::sun::star::lang::XInitialization,
com::sun::star::document::XImporter, com::sun::star::document::XFilter,
com::sun::star::lang::XUnoTunnel>::queryInterface(com::sun::star::uno::Type
const&) + 0x4b)
0x00002aaab02dc371: 0x0000000000415d08:
/usr/lib64/openoffice.org/program/libsfx680lx.so + 0x1c1371
0x00002aaab0328ddb: 0x0000000000415d08:
/usr/lib64/openoffice.org/program/libsfx680lx.so + 0x20dddb
0x00002aaab032994f: 0x0000000000415d08:
/usr/lib64/openoffice.org/program/libsfx680lx.so + 0x20e94f
0x00002aaab032acd6: 0x0000000000415d08:
/usr/lib64/openoffice.org/program/libsfx680lx.so + 0x20fcd6
0x00002aaab032b538: 0x0000000000415d08:
/usr/lib64/openoffice.org/program/libsfx680lx.so + 0x210538
0x00002aaab032b8f2: 0x0000000000415d08:
/usr/lib64/openoffice.org/program/libsfx680lx.so + 0x2108f2
0x00002aaab032c102: 0x0000000000415d08:
/usr/lib64/openoffice.org/program/libsfx680lx.so + 0x211102
0x00002aaab032c368: 0x0000000000415d08:
/usr/lib64/openoffice.org/program/libsfx680lx.so + 0x211368
0x00002aaaaafb9eb2: 0x0000000000627a98:
/usr/lib64/openoffice.org/program/libsd680lx.so + 0x2adeb2
(sd::TemplateScanner::GetTemplateRoot() + 0xf2)
0x00002aaaaafbb8cd: 0x0000000000627a98:
/usr/lib64/openoffice.org/program/libsd680lx.so + 0x2af8cd
(sd::TemplateScanner::RunNextStep() + 0xcd)
0x00002aaaaafb96fe: 0x0000000000627a98:
/usr/lib64/openoffice.org/program/libsd680lx.so + 0x2ad6fe
(sd::TemplateScanner::Scan() + 0xe)
0x00002aaabd85a390: 0x000000000009dbd8:
/usr/lib64/openoffice.org/program/libsdui680lx.so + 0x45390
0x00002aaabd85a448: 0x000000000009dbd8:
/usr/lib64/openoffice.org/program/libsdui680lx.so + 0x45448
0x00002aaaac88f7bd: 0x00000000003b7fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0x2c37bd
(Control::ImplCallEventListenersAndHandler(unsigned long, Link const&, void*) +
0x7d)
0x00002aaaac87f669: 0x00000000003b7fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0x2b3669
(Window::EndTracking(unsigned short) + 0x139)
0x00002aaaac87b9c6: 0x00000000003b7fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0x2af9c6
0x00002aaaac87c259: 0x00000000003b7fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0x2b0259
0x00002aaab7400c6d: 0x0000000000050568:
/usr/lib64/openoffice.org/program/libvclplug_gtk680lx.so + 0x3ec6d
0x0000003dd1d32ded: 0x000000000037e118: /usr/lib64/libgtk-x11-2.0.so.0 + 0x132ded
0x0000003dce80af39: 0x000000000003eaa8: /lib64/libgobject-2.0.so.0 + 0xaf39
(g_closure_invoke + 0x109)
0x0000003dce81a838: 0x000000000003eaa8: /lib64/libgobject-2.0.so.0 + 0x1a838
0x0000003dce81ba4d: 0x000000000003eaa8: /lib64/libgobject-2.0.so.0 + 0x1ba4d
(g_signal_emit_valist + 0x60d)
0x0000003dce81be53: 0x000000000003eaa8: /lib64/libgobject-2.0.so.0 + 0x1be53
(g_signal_emit + 0x83)
0x0000003dd1e30ede: 0x000000000037e118: /usr/lib64/libgtk-x11-2.0.so.0 + 0x230ede
0x0000003dd1d2c3dd: 0x000000000037e118: /usr/lib64/libgtk-x11-2.0.so.0 +
0x12c3dd (gtk_propagate_event + 0xfd)
0x0000003dd1d2d3f1: 0x000000000037e118: /usr/lib64/libgtk-x11-2.0.so.0 +
0x12d3f1 (gtk_main_do_event + 0x321)
0x0000003dd0046b6c: 0x0000000000091ec0: /usr/lib64/libgdk-x11-2.0.so.0 + 0x46b6c
0x0000003dce42d224: 0x000000000009cd98: /lib64/libglib-2.0.so.0 + 0x2d224
(g_main_context_dispatch + 0x1b4)
0x0000003dce43005d: 0x000000000009cd98: /lib64/libglib-2.0.so.0 + 0x3005d
0x0000003dce43058e: 0x000000000009cd98: /lib64/libglib-2.0.so.0 + 0x3058e
(g_main_context_iteration + 0x6e)
0x00002aaab73dc147: 0x0000000000050568:
/usr/lib64/openoffice.org/program/libvclplug_gtk680lx.so + 0x1a147
0x00002aaaac6a4b4e: 0x00000000003b7fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0xd8b4e
(Application::Yield(bool) + 0x3e)
0x00002aaaac807608: 0x00000000003b7fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0x23b608 (Dialog::Execute() +
0xa8)
0x00002aaabd84a6e1: 0x000000000009dbd8:
/usr/lib64/openoffice.org/program/libsdui680lx.so + 0x356e1
0x00002aaaaaf82b35: 0x0000000000627a98:
/usr/lib64/openoffice.org/program/libsd680lx.so + 0x276b35
0x00002aaaaaf83dbb: 0x0000000000627a98:
/usr/lib64/openoffice.org/program/libsd680lx.so + 0x277dbb
0x00002aaab03d6335: 0x0000000000415d08:
/usr/lib64/openoffice.org/program/libsfx680lx.so + 0x2bb335
(SfxShell::ExecuteSlot(SfxRequest&, SfxInterface const*) + 0x65)
0x00002aaaab0bb4cb: 0x0000000000627a98:
/usr/lib64/openoffice.org/program/libsd680lx.so + 0x3af4cb
0x00002aaab0db1a43: 0x00000000002f4318:
/usr/lib64/openoffice.org/program/libfwk680lx.so + 0xeea43
0x00002aaab023f137: 0x0000000000415d08:
/usr/lib64/openoffice.org/program/libsfx680lx.so + 0x124137
0x00002aaab03d6335: 0x0000000000415d08:
/usr/lib64/openoffice.org/program/libsfx680lx.so + 0x2bb335
(SfxShell::ExecuteSlot(SfxRequest&, SfxInterface const*) + 0x65)
0x00002aaab03880c6: 0x0000000000415d08:
/usr/lib64/openoffice.org/program/libsfx680lx.so + 0x26d0c6
0x00002aaab0e6944f: 0x00000000002f4318:
/usr/lib64/openoffice.org/program/libfwk680lx.so + 0x1a644f
0x00002aaab0e6ae50: 0x00000000002f4318:
/usr/lib64/openoffice.org/program/libfwk680lx.so + 0x1a7e50
0x00002aaab0e6b098: 0x00000000002f4318:
/usr/lib64/openoffice.org/program/libfwk680lx.so + 0x1a8098
0x00002aaab0d2ffbf: 0x00000000002f4318:
/usr/lib64/openoffice.org/program/libfwk680lx.so + 0x6cfbf
0x00002aaaaaaf0046: 0x000000000005c8f8:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x43046
(desktop::DispatchWatcher::executeDispatchRequests(std::vector<desktop::DispatchWatcher::DispatchRequest,
std::allocator<desktop::DispatchWatcher::DispatchRequest> > const&) + 0x1616)
0x00002aaaaaae4153: 0x000000000005c8f8:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x37153
(desktop::OfficeIPCThread::ExecuteCmdLineRequests(desktop::ProcessDocumentsRequest&)
+ 0x143)
0x00002aaaaaad0f51: 0x000000000005c8f8:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x23f51
(desktop::Desktop::OpenDefault() + 0x131)
0x00002aaaaaadfb56: 0x000000000005c8f8:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x32b56
(desktop::Desktop::OpenClients() + 0x1ca6)
0x00002aaaaaae06ba: 0x000000000005c8f8:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x336ba
(desktop::Desktop::OpenClients_Impl(void*) + 0x3a)
0x00002aaaac87c6a1: 0x00000000003b7fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0x2b06a1
0x00002aaab769fb2f: 0x00000000000816b0:
/usr/lib64/openoffice.org/program/libvclplug_gen680lx.so + 0x57b2f
(SalDisplay::DispatchInternalEvent() + 0xbf)
0x00002aaab73da649: 0x0000000000050568:
/usr/lib64/openoffice.org/program/libvclplug_gtk680lx.so + 0x18649
0x0000003dce42d224: 0x000000000009cd98: /lib64/libglib-2.0.so.0 + 0x2d224
(g_main_context_dispatch + 0x1b4)
0x0000003dce43005d: 0x000000000009cd98: /lib64/libglib-2.0.so.0 + 0x3005d
0x0000003dce43058e: 0x000000000009cd98: /lib64/libglib-2.0.so.0 + 0x3058e
(g_main_context_iteration + 0x6e)
0x00002aaab73dc0d9: 0x0000000000050568:
/usr/lib64/openoffice.org/program/libvclplug_gtk680lx.so + 0x1a0d9
0x00002aaaac6a4b4e: 0x00000000003b7fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0xd8b4e
(Application::Yield(bool) + 0x3e)
0x00002aaaac6a4c27: 0x00000000003b7fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0xd8c27
(Application::Execute() + 0x27)
0x00002aaaaaadb50e: 0x000000000005c8f8:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x2e50e
(desktop::Desktop::Main() + 0x13ae)
0x00002aaaac6aa3e4: 0x00000000003b7fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0xde3e4
0x00002aaaac6aa4d5: 0x00000000003b7fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0xde4d5 (SVMain() + 0x25)
0x00002aaaaaacdb0e: 0x000000000005c8f8:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x20b0e (main + 0xae)
0x0000003dc841dab4: 0x000000000014ab60: /lib64/libc.so.6 + 0x1dab4
(__libc_start_main + 0xf4)
0x0000000000400619: 0x0000000000000870:
/usr/lib64/openoffice.org/program/simpress.bin + 0x619 (main + 0x49)
...end stackreport details ...
...start sample ldd details ...
        libuno_sal.so.3 => /usr/lib64/openoffice.org/program/libuno_sal.so.3
(0x00002aaaaaccc000)
        libuno_salhelpergcc3.so.3 =>
/usr/lib64/openoffice.org/program/libuno_salhelpergcc3.so.3 (0x00002aaaab0c3000)
        libstore.so.3 => /usr/lib64/openoffice.org/program/libstore.so.3
(0x00002aaaab2c7000)
        libdl.so.2 => /lib64/libdl.so.2 (0x00002aaaab510000)
        libpthread.so.0 => /lib64/libpthread.so.0 (0x00002aaaab714000)
        libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x00002aaaab92e000)
        libm.so.6 => /lib64/libm.so.6 (0x00002aaaabc2f000)
        libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00002aaaabeb2000)
        libc.so.6 => /lib64/libc.so.6 (0x00002aaaac0c0000)
        libcrypt.so.1 => /lib64/libcrypt.so.1 (0x00002aaaac412000)
        /lib64/ld-linux-x86-64.so.2 (0x0000555555554000)
...end sample ldd details ...
---end copy and paste here---
paste the above into your bug report
Comment 1 Sammy 2007-10-16 14:54:39 EDT
PS:

I am running KDE

If I do "ooimpress filename.odp" it opens the file fine. So the problem seems
to be limited to the greeter/chooser.
Comment 2 Caolan McNamara 2007-10-16 14:59:20 EDT
Dear god, how frustrating is this. I *HATE OUR COMPILER*. Its some varient of
the visibility cock-up yet again, clearly this whole damn visibility thing is a
total waste of time. Lucky I didn't even push it as a test update.
Comment 3 Caolan McNamara 2007-10-16 15:41:31 EDT
ok lets rebuild with visibility disabled, its a lost cause.
Comment 4 Caolan McNamara 2007-10-18 07:56:53 EDT
Can you check with 2.3.0-6.4.fc7 for me ?
Comment 5 Sammy 2007-10-18 10:42:01 EDT
Yes. I presume you meant 2.3.0-6.3.fc7. This no longer crashes.
By the way 2.3.0-6.1.fc7 was pushed into fedora-testing so this should
fix it.
Thanks
Comment 6 Fedora Update System 2007-10-24 03:13:36 EDT
openoffice.org-2.3.0-6.4.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'
Comment 7 Sammy 2007-10-24 11:17:19 EDT
I have been using this from Koji already. The problem seems to be resolved.
Thanks
Comment 8 Fedora Update System 2007-11-01 17:20:00 EDT
openoffice.org-2.3.0-6.4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.